Magellan Linux

Diff of /branches/mage-next/src/depwalker.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 2626 by niro, Wed Mar 5 08:16:25 2014 UTC revision 2628 by niro, Wed Mar 5 08:19:29 2014 UTC
# Line 2  Line 2 
2  # $Id$  # $Id$
3  # dependeny walker  # dependeny walker
4    
5  decho()  # set default variables
6  {  : ${MAGERC="@@SYSCONFDIR@@/mage.rc"}
7   if [[ ${DEBUG} = 1 ]]  : ${MLIBDIR="@@MAGELIBDIR@@"}
  then  
  echo "DEBUG: $@" >&2  
  fi  
 }  
8    
9  # first of all include common functions  # first of all include common functions
10  source ${MLIBDIR}/common.functions.sh || exit 1  source ${MLIBDIR}/common.functions.sh || exit 1
# Line 17  source ${MAGERC} || die "Your ${MAGERC} Line 13  source ${MAGERC} || die "Your ${MAGERC}
13  source ${MLIBDIR}/mage4.functions.sh || die "mage functions missing"  source ${MLIBDIR}/mage4.functions.sh || die "mage functions missing"
14  source ${MLIBDIR}/smage2.functions.sh || die "smage functions missing"  source ${MLIBDIR}/smage2.functions.sh || die "smage functions missing"
15    
16    decho()
17    {
18     if [[ ${DEBUG} = 1 ]]
19     then
20     echo "DEBUG: $@" >&2
21     fi
22    }
23    
24  usage()  usage()
25  {  {
26   echo   echo

Legend:
Removed from v.2626  
changed lines
  Added in v.2628